package com.jdblabs.timestamper.gui.plugin

import com.jdblabs.timestamper.core.TimelineMarker
import org.slf4j.Logger
import org.slf4j.LoggerFactory

public class HookLogger implements TimestamperPlugin {

    private Logger logger = LoggerFactory.getLogger(getClass())

    public void onStartup(Map mvc) {
        logger.info("HookLogger: onStartup() called.")
    }

    public void onExit(Map mvc) {
        logger.info("HookLogger: onExit() called.")
    }

    public File onTimelineLoad(Map mvc, File file) {
        logger.info("HookLogger: onTimelineLoad() called with ${file.canonicalPath}")
    }

    public TimelineMarker onNewTask(Map mvc, TimelineMarker tm) {
        logger.info("HookLogger: onNewTask() called with ${tm}")
    }

    public void onDeleteTask(Map mvc, TimelineMarker tm) {
        logger.info("HookLogger: onDeleteTask() called with ${tm}")
    }
}
